//============================================================================
// Name        : BinarySnakeMatrix.cpp
// Author      : vikturek
//============================================================================

using namespace std;

#include "BinarySnakeMatrix.h"
#include <time.h>

void printUsage(){
	cout << "\n\t**********************************";
	cout << "\n\t* Binary snake matrix aplication *";
	cout << "\n\t**********************************";
	cout << "\n\n\tUsage:\n";
	cout << "\t\tbsm <left|right> bytes bites inputMatrixFile outputMatrixFile [showSpeed]\n\n";
}

// Aplikace prebira jeden argument navic, ktery zapina/vypina mereni rychlosti reseni. Udaj je nutny pro test 6.

// Tento soubor needitujte, neni soucasti odevzdani!!!

int main(int argc, char **argv) {
	clock_t startTime;
	bool showSpeed = false;

	if(argc < 6){
		printUsage();
		return 1;
	}

	if(argc == 7){
		if(string("showSpeed") != argv[6]){
			printUsage();
			return 1;
		} else {
			showSpeed = true;
		}
	}

	startTime = clock();

	SnakeRotationMatrix matrix(argc, argv);
	matrix.rotate();

	if(showSpeed){
		cout << (double) (clock() - startTime)/(double)CLOCKS_PER_SEC << endl;
	}
	return 0;
}

